<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
?><!--<?php
$id = $GLOBALS['id'];
$replyid = $GLOBALS['replyid'];
$title = $GLOBALS['title'];
$content = $GLOBALS['content'];
$doWealth = $GLOBALS['dowealth'];
$dousercp = $GLOBALS['dousercp'];
$douserep = $GLOBALS['douserep'];
$msg =& $GLOBALS['msg'];
$ismsg = $GLOBALS['ismsg'];
$topic = htmlspecialchars($GLOBALS['_topicInfo']['title']);
print <<<EOT
-->
<SCRIPT LANGUAGE="JavaScript">
<!--
function OnFormSubmit(form){
	var selectedindex = form.mode.selectedIndex;
	var selectedvalue = form.mode.options[selectedindex].value;
	if( selectedvalue < 0){
		alert("{$lang['tpl.ztgl.str1']}");
		return false;
	}
	return true;
}
//-->
</SCRIPT>
<FORM METHOD=POST ACTION="admin_postings.php?action=p_do_special_topic_manage" name="frmAnnounce" onsubmit="return OnFormSubmit(this)">
<input type="hidden" name="boardid" value="{$boardid}">
<input type="hidden" value="{$id}" name="id">
<input type="hidden" value="{$title}" name="title">
<input type="hidden" value="{$content}" name="content">
<input type="hidden" value="{$doWealth}" name="dowealth">
<input type="hidden" value="{$dousercp}" name="dousercp">
<input type="hidden" value="{$douserep}" name="douserep">
<input type="hidden" value="{$msg}" name="msg">
<input type="hidden" value="{$ismsg}" name="ismsg">
<table cellspacing="0" cellpadding="0" align="center" class="mainbox tableborder">
<tr><th height=24 colspan=2>{$lang['tpl.ztgl.str3']}</th></tr>
<tr><td height=24 >{$lang['tpl.ztgl.str4']}
</td><td >
<select name="mode" size="1">
<option value="-2">{$lang['tpl.ztgl.str5']}</option>
<option value="0">{$lang['tpl.ztgl.str6']}</option>
<option class=BrightClass value="-1">{$lang['tpl.ztgl.str7']}</option>
<!--{$TopicMode}-->
<!--
EOT;
global $boardinfo;
if( $boardinfo['board_setting'] !== '' ){
	$arrBoardTopic = explode('$$',$boardinfo['board_setting']);
	if( is_array($arrBoardTopic) && !empty($arrBoardTopic) ){
		foreach( $arrBoardTopic as $index => $text ){
		$optVal = $index;
		if ( $text != '' ){
		print <<<EOT
-->
<option class=BrightClass value="{$optVal}">{$text}</option>
<!--
EOT;
		}
		}
	}
}
print <<<EOT
-->
</select>
</td></tr>
<tr>
<td height=24  align=center colspan=2>
<button type="submit" name=submit onMousemove="button_move(this)" onMouseout="button_out(this)" class="button">{$lang['tpl.ztgl.str8']}</button></td>
</tr>
</table></FORM>
<!--
EOT;
?>-->